LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-06-2012, 07:06 PM   #1
vockleya
Member
 
Registered: Aug 2009
Posts: 87

Rep: Reputation: 16
Problem with "dpkg --configure -a" freezing on updating grub


Like the title says, I am trying to run "dpkg --configure -a", and it freezes after about 20 seconds. This is the terminal output up to that point.

Quote:
aaron@a-big-pump:~$ sudo dpkg --configure -a
Setting up linux-image-3.0.0-20-server (3.0.0-20.34) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.0.0-20-server /boot/vmlinuz-3.0.0-20-server
update-initramfs: Generating /boot/initrd.img-3.0.0-20-server
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.0.0-20-server /boot/vmlinuz-3.0.0-20-server
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.0.0-20-server /boot/vmlinuz-3.0.0-20-server
No mater how long it sits, nothing else happens. When I kill it with ctrl-c, a bunch more output pops up.

Quote:
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.0.0-20-server.postinst line 1010.
dpkg: error processing linux-image-3.0.0-20-server (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-server:
linux-image-server depends on linux-image-3.0.0-20-server; however:
Package linux-image-3.0.0-20-server is not configured yet.
dpkg: error processing linux-image-server (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-server:
linux-server depends on linux-image-server (= 3.0.0.20.24); however:
Package linux-image-server is not configured yet.
dpkg: error processing linux-server (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
linux-image-3.0.0-20-server
linux-image-server
linux-server
I have no idea what's going on here. Any ideas?
 
Old 08-06-2012, 07:14 PM   #2
vockleya
Member
 
Registered: Aug 2009
Posts: 87

Original Poster
Rep: Reputation: 16
It gets to this same point when installing anything with aptitude. Apt actually told me to run dpkg --configure -a in the first place.
 
Old 08-06-2012, 08:34 PM   #3
vockleya
Member
 
Registered: Aug 2009
Posts: 87

Original Poster
Rep: Reputation: 16
And of course now it works perfectly. I guess it's fixed now.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
"dpkg --configure -a" error eljaco Ubuntu 31 09-08-2011 07:22 AM
"dpkg error in --configure" in most all (508) programs after "apt-get dist-upgrade" fluffymuffins Debian 3 08-09-2010 04:47 AM
E:dpkg was interrupted,you must manually run"dpkg --configure -a" to correct problem loplop4 Debian 5 09-29-2008 12:11 PM
my apt-get does not work :(: "dpkg: error processing python-kaa-base (--configure):" frenchn00b Debian 3 04-22-2008 04:30 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 07:50 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration